Skip to main content
POST
/
organizations
/
{orgId}
/
bills
/
download
/
csv
Download Bills
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/bills/download/csv \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "2019-08-24T14:15:22Z",
  "endDate": "2019-08-24T14:15:22Z",
  "externalSystem": "STANDARD"
}
'
{
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.m3ter.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

orgId
string
required

The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.

Body

application/json
startDate
string<date-time>

Specifies the start date of the billing period for downloading Bills. Format should be a valid date in ISO 8601 format. Bills with a start date on or after this date will be included in the download.

endDate
string<date-time>

Specifies the end date of the billing period for downloading Bills. Format should be a valid date in ISO 8601 format. Bills with an end date on or before this date will be included in the download.

externalInvoiceDateStart
string<date-time>

(Optional). Specifies the start date in ISO 8601 format for filtering Bills by external invoice date.

externalInvoiceDateEnd
string<date-time>

(Optional). Specifies the end date in ISO 8601 format for filtering Bills by external invoice date.

externalSystem
enum<string>

Use this parameter if you have implemented an integration with your Xero system and want a downloaded CSV file suitable for loading into Xero:

  • STANDARD - A wider range of data columns is given.
  • XERO - A more limited range of data columns is given and compatible with loading into your 3rd-party Xero system.
Available options:
STANDARD,
XERO

Response

Redirect to a CSV file containing the bill details